

<!DOCTYPE html>
<html class="writer-html5" lang="ru" >
<head>
  <meta charset="utf-8" />
  
<!-- Yandex.Metrika counter -->
<script async="" src="https://mc.yandex.ru/metrika/tag.js"></script>
<script type="text/javascript">
	(function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)};
	m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)})
	(window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym");
 
	ym(88079149, "init", {
		 clickmap:true,
		 trackLinks:true,
		 accurateTrackBounce:true,
		 webvisor:true
	});
 </script>
 <noscript><div><img src="https://mc.yandex.ru/watch/88079149" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
 <!-- /Yandex.Metrika counter -->



  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>7. Функции Screen &mdash; документация pyOpenRPA v1.3.1 v1.3.1</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/translations.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Алфавитный указатель" href="../genindex.html" />
    <link rel="search" title="Поиск" href="../search.html" />
    <link rel="next" title="8. Функции Audio" href="08_audio.html" />
    <link rel="prev" title="6. Функции Mouse" href="06_mouse.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> pyOpenRPA v1.3.1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Поиск в документации" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">ОБЩЕЕ</span></p>
<ul>
<li class="toctree-l1"><a class="reference external" href="https://pyopenrpa.ru/wiki/guide/index">Выбрать версию</a></li>
<li class="toctree-l1"><a class="reference internal" href="../01_HowToInstall.html">1. Первый запуск (Windows &amp; Linux)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../03_Copyrights_Contacts.html">2. Лицензия &amp; Контакты</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ РОБОТ</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="01_Robot.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="02_uidesktop.html">2. Функции UIDesktop</a></li>
<li class="toctree-l1"><a class="reference internal" href="03_uiweb.html">3. Функции UIWeb</a></li>
<li class="toctree-l1"><a class="reference internal" href="04_keyboard.html">4. Функции Keyboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="05_clipboard.html">5. Функции Clipboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="06_mouse.html">6. Функции Mouse</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">7. Функции Screen</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#id1">Общее</a></li>
<li class="toctree-l2"><a class="reference internal" href="#box">Класс Box</a></li>
<li class="toctree-l2"><a class="reference internal" href="#point">Класс Point</a></li>
<li class="toctree-l2"><a class="reference internal" href="#inpointrulestr">Символьное указание точки (inPointRuleStr)</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#lu-cu-ru">LU|CU|RU</a></li>
<li class="toctree-l3"><a class="reference internal" href="#lc-cc-rc">LC|CC|RC</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#inanchorrulestr">Символьное указание области (inAnchorRuleStr)</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#id2">LU|CU|RU</a></li>
<li class="toctree-l3"><a class="reference internal" href="#id3">LC|CC|RC</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#id6">Описание функций</a></li>
<li class="toctree-l2"><a class="reference internal" href="#id7">Быстрая навигация</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="08_audio.html">8. Функции Audio</a></li>
<li class="toctree-l1"><a class="reference internal" href="09_HowToUse.html">9. Как использовать?</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ СТУДИЯ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Studio/01_Studio.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Studio/02_HowToUse.html">2. Как использовать?</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ ОРКЕСТРАТОР</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/01_Orchestrator.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/02_Defs.html">2. Функции</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/03_gSettingsTemplate.html">3. Настройки GSettings (шаблон)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/04_HowToUse.html">4. Как использовать?</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/05_UAC.html">5. Права доступа пользователей UAC</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ АГЕНТ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Agent/02_Defs.html">2. Функции Agent</a></li>
</ul>
<p class="caption"><span class="caption-text">ИНСТРУМЕНТЫ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Tools/02_Defs.html">2. Функции StopSafe</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">pyOpenRPA v1.3.1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>7. Функции Screen</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/Robot/07_screen.rst.txt" rel="nofollow"> Просмотреть исходный код страницы</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="screen">
<span id="module-robot-screen"></span><h1>7. Функции Screen<a class="headerlink" href="#screen" title="Ссылка на этот заголовок">¶</a></h1>
<div class="section" id="id1">
<h2>Общее<a class="headerlink" href="#id1" title="Ссылка на этот заголовок">¶</a></h2>
<p>!ВНИМАНИЕ! ДЛЯ РАБОТЫ В LINUX ТРЕБУЕТСЯ НАЛИЧИЕ КОМПОНЕНТА SCROT (sudo apt-get scrot)</p>
<p>Дорогие коллеги!</p>
<p>Мы знаем, что с pyOpenRPA вы сможете существенно улучшить качество вашего бизнеса. Платформа роботизации pyOpenRPA - это разработка, которая дает возможность делать виртуальных сотрудников (программных роботов RPA) выгодными, начиная от эффекта всего в <strong>10 тыс. руб.</strong> И управлять ими будете только Вы!</p>
<p>Если у вас останутся вопросы, то вы всегда можете обратиться в центр поддержки клиентов pyOpenRPA. Контакты: <a class="reference internal" href="../03_Copyrights_Contacts.html#copyrights-contacts"><span class="std std-ref">2. Лицензия &amp; Контакты</span></a></p>
<p>pyOpenRPA - роботы помогут!</p>
</div>
<div class="section" id="box">
<h2>Класс Box<a class="headerlink" href="#box" title="Ссылка на этот заголовок">¶</a></h2>
<p>Экземпляр класса pyscreeze.Box, который характеризует прямоугольную область на экране.</p>
<p>top - координата левой верхней точки в пикселях по оси X (горизонталь)
left - координата левой верхней точки в пикселях по оси Y (вертикаль)
height - расстояние вниз от левой верхней точки в пикселях
width - расстояние вправо от левой верхней точки в пикселях</p>
</div>
<div class="section" id="point">
<h2>Класс Point<a class="headerlink" href="#point" title="Ссылка на этот заголовок">¶</a></h2>
<p>Экземпляр класса pyscreeze.Point, который характеризует точку на экране.</p>
<p>x - координата точки в пикселях по оси X (горизонталь)
y - координата точки в пикселях по оси Y (вертикаль)</p>
</div>
<div class="section" id="inpointrulestr">
<h2>Символьное указание точки (inPointRuleStr)<a class="headerlink" href="#inpointrulestr" title="Ссылка на этот заголовок">¶</a></h2>
<div class="section" id="lu-cu-ru">
<h3>LU|CU|RU<a class="headerlink" href="#lu-cu-ru" title="Ссылка на этот заголовок">¶</a></h3>
</div>
<div class="section" id="lc-cc-rc">
<h3>LC|CC|RC<a class="headerlink" href="#lc-cc-rc" title="Ссылка на этот заголовок">¶</a></h3>
<p>LD|CD|RD</p>
<p>Символьное указание точки - точка относительно которой выполнить изменение прямоугольной области.</p>
<blockquote>
<div><p>«CC»,</p>
</div></blockquote>
<p>Формат образования кода: XY, где</p>
<ul class="simple">
<li><p>X обозначает положение по горизонтали (допустимые значения: «L», «C», «R»)</p></li>
<li><p>Y обозначает положение по вертикали (допустимые значения: «U», «C», «D»)</p></li>
</ul>
<p>Допустимые значения:</p>
<ul class="simple">
<li><p>«CC» - центр по горизонтали, центр по вертикали</p></li>
<li><p>«LU» - левый край по горизонтали, верхний край по вертикали</p></li>
<li><p>«LD» - левый край по горизонтали, нижний край по вертикали</p></li>
<li><p>«RD» - правый край по горизонтали, нижний край по вертикали</p></li>
<li><p>«RU» - правый край по горизонтали, верхний край по вертикали</p></li>
</ul>
<p>X-10 - корректировка координаты по оси X на 10 пикселей влево
Y+20 - корректировка координаты по оси Y на 20 пикселей вниз</p>
</div>
</div>
<div class="section" id="inanchorrulestr">
<h2>Символьное указание области (inAnchorRuleStr)<a class="headerlink" href="#inanchorrulestr" title="Ссылка на этот заголовок">¶</a></h2>
<div class="section" id="id2">
<h3>LU|CU|RU<a class="headerlink" href="#id2" title="Ссылка на этот заголовок">¶</a></h3>
</div>
<div class="section" id="id3">
<h3>LC|CC|RC<a class="headerlink" href="#id3" title="Ссылка на этот заголовок">¶</a></h3>
<p>LD|CD|RD</p>
<p>Символьное указание области поиска - область относительно которой выполнить поиск другой прямоугольной области.</p>
<blockquote>
<div><p>«CC»,</p>
</div></blockquote>
<p>Формат образования кода: XY, где</p>
<ul class="simple">
<li><p>X обозначает область по горизонтали (допустимые значения: «L», «C», «R»)</p></li>
<li><p>Y обозначает область по вертикали (допустимые значения: «U», «C», «D»)</p></li>
</ul>
<p>Допустимые значения:</p>
<ul class="simple">
<li><p>«CC» - выбранная прямоугольная область</p></li>
<li><p>«LU» - слева и сверху от выбранной прямоугольной области</p></li>
<li><p>«LD» - слева и снизу от выбранной прямоугольной области</p></li>
<li><p>«LС» - слева от выбранной прямоугольной области</p></li>
<li><p>«RC» - справа от выбранной прямоугольной области</p></li>
<li><p>«СU» - сверху от выбранной прямоугольной области</p></li>
<li><p>«CD» - сверху от выбранной прямоугольной области</p></li>
<li><p>«RD» - справа и снизу от выбранной прямоугольной области</p></li>
<li><p>«RU» - справа и сверху от выбранной прямоугольной области</p></li>
</ul>
<p>Опция «S» (strict) - искомый объект должен всеми своими координатами находиться в обозначенной прямоугольной области</p>
<p>Формат допускает комбинации нескольких областей в одной строке.
Пример:
«CC,LU,LD,S»
«CC|LU|LD|S»
«CCLULDS»</p>
<p>Графическая интерпретация:
+|-<a href="#id11"><span class="problematic" id="id12">|-
-----
-|+|</span></a>-
—–
+|-<a href="#id4"><span class="problematic" id="id5">|</span></a>-</p>
</div>
</div>
<div class="section" id="id6">
<h2>Описание функций<a class="headerlink" href="#id6" title="Ссылка на этот заголовок">¶</a></h2>
<p>Описание каждой функции начинается с обозначения L+,W+, что означает, что функция поддерживается в ОС Linux (L) и Windows (W)</p>
<span class="target" id="module-pyOpenRPA.Robot.Screen"></span><p><strong>Functions:</strong></p>
<table class="longtable docutils align-default">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.BoxAnchorRuleCheck" title="pyOpenRPA.Robot.Screen.BoxAnchorRuleCheck"><code class="xref py py-obj docutils literal notranslate"><span class="pre">BoxAnchorRuleCheck</span></code></a>(inBox[, inAnchorBox, …])</p></td>
<td><p>L+,W+: Выполнить проверку соответствия всем условиям вхождения inBox в inAnchorBox с учетом правил inAnchorRule</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.BoxCreate" title="pyOpenRPA.Robot.Screen.BoxCreate"><code class="xref py py-obj docutils literal notranslate"><span class="pre">BoxCreate</span></code></a>(inTopInt, inLeftInt, inHeightInt, …)</p></td>
<td><p>L+,W+: Создать экземпляр прямоугольной области.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.BoxDraw" title="pyOpenRPA.Robot.Screen.BoxDraw"><code class="xref py py-obj docutils literal notranslate"><span class="pre">BoxDraw</span></code></a>(inBox[, inColorStr, inThicknessInt])</p></td>
<td><p>L+,W+: Выполнить подсветку прямоугольной области inBox на экране</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.BoxGetPoint" title="pyOpenRPA.Robot.Screen.BoxGetPoint"><code class="xref py py-obj docutils literal notranslate"><span class="pre">BoxGetPoint</span></code></a>(inBox[, inPointRuleStr])</p></td>
<td><p>L+,W+:Получить точку pyscreeze.Point по заданной прямоугольной области pyscreeze.Box и строковому параметру расположения inPointRuleStr.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.BoxModify" title="pyOpenRPA.Robot.Screen.BoxModify"><code class="xref py py-obj docutils literal notranslate"><span class="pre">BoxModify</span></code></a>(inBox[, inDWidthInt, …])</p></td>
<td><p>L+,W+: Изменить ширину / высоту прямоугольной области.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.BoxMoveTo" title="pyOpenRPA.Robot.Screen.BoxMoveTo"><code class="xref py py-obj docutils literal notranslate"><span class="pre">BoxMoveTo</span></code></a>(inBox[, inDXInt, inDYInt])</p></td>
<td><p>L+,W+: Переместить прямоугольную область (сохранить длину/ширину).</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.BoxOverlay" title="pyOpenRPA.Robot.Screen.BoxOverlay"><code class="xref py py-obj docutils literal notranslate"><span class="pre">BoxOverlay</span></code></a>(inBox1, inBox2)</p></td>
<td><p>L+,W+:Проверить наложение 2-х прямоугольных областей друг на друга.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.ImageClick" title="pyOpenRPA.Robot.Screen.ImageClick"><code class="xref py py-obj docutils literal notranslate"><span class="pre">ImageClick</span></code></a>(inImgPathStr[, inBoxIndexInt, …])</p></td>
<td><p>L+,W+:Выполнить поиск прямоугольной области по изображению.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.ImageExists" title="pyOpenRPA.Robot.Screen.ImageExists"><code class="xref py py-obj docutils literal notranslate"><span class="pre">ImageExists</span></code></a>(inImgPathStr[, …])</p></td>
<td><p>L+,W+:Проверить, имеется ли на экране хотя бы один подходящий объект.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.ImageLocateAll" title="pyOpenRPA.Robot.Screen.ImageLocateAll"><code class="xref py py-obj docutils literal notranslate"><span class="pre">ImageLocateAll</span></code></a>(inImgPathStr[, …])</p></td>
<td><p>L+W+: Искать на экране графические объекты, которые похожи на inImgPathStr.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.ImageWaitAppear" title="pyOpenRPA.Robot.Screen.ImageWaitAppear"><code class="xref py py-obj docutils literal notranslate"><span class="pre">ImageWaitAppear</span></code></a>(inImgPathStr[, …])</p></td>
<td><p>L+,W+:Ожидать появление изображения на протяжении inWaitSecFloat секунд.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.ImageWaitDisappear" title="pyOpenRPA.Robot.Screen.ImageWaitDisappear"><code class="xref py py-obj docutils literal notranslate"><span class="pre">ImageWaitDisappear</span></code></a>(inImgPathStr[, …])</p></td>
<td><p>L+,W+:Ожидать исчезновение изображения на протяжении inWaitSecFloat секунд.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.PointClick" title="pyOpenRPA.Robot.Screen.PointClick"><code class="xref py py-obj docutils literal notranslate"><span class="pre">PointClick</span></code></a>(inPoint[, inClickCountInt, …])</p></td>
<td><p>L+,W+:Нажатие (вниз) кнопки мыши и затем немедленно выпуск (вверх) её.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.PointClickDouble" title="pyOpenRPA.Robot.Screen.PointClickDouble"><code class="xref py py-obj docutils literal notranslate"><span class="pre">PointClickDouble</span></code></a>(inPoint[, inWaitAfterSecFloat])</p></td>
<td><p>L+,W+:Двойное нажатие левой клавиши мыши.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.PointCreate" title="pyOpenRPA.Robot.Screen.PointCreate"><code class="xref py py-obj docutils literal notranslate"><span class="pre">PointCreate</span></code></a>(inXInt, inYInt)</p></td>
<td><p>L+,W+:Создать точку pyscreeze.Point.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.PointDown" title="pyOpenRPA.Robot.Screen.PointDown"><code class="xref py py-obj docutils literal notranslate"><span class="pre">PointDown</span></code></a>(inPoint[, inButtonStr, …])</p></td>
<td><p>L+,W+:Переместить указатель по координатам inPoint, после чего нажать (вниз) клавишу мыши и не отпускать до выполнения соответсвующей команды (см.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.PointModify" title="pyOpenRPA.Robot.Screen.PointModify"><code class="xref py py-obj docutils literal notranslate"><span class="pre">PointModify</span></code></a>(inPoint, inDXInt, inDYInt)</p></td>
<td><p>L+,W+:Скорректировать точку pyscreeze.Point.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.PointMoveTo" title="pyOpenRPA.Robot.Screen.PointMoveTo"><code class="xref py py-obj docutils literal notranslate"><span class="pre">PointMoveTo</span></code></a>(inPoint[, inWaitAfterSecFloat])</p></td>
<td><p>L+,W+:Переместить указатель мыши на позицию inXInt, inYInt за время inMoveDurationSecFloat.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.Screen.PointUp" title="pyOpenRPA.Robot.Screen.PointUp"><code class="xref py py-obj docutils literal notranslate"><span class="pre">PointUp</span></code></a>(inPoint[, inButtonStr, …])</p></td>
<td><p>L+,W+:Отпустить (вверх) клавишу мыши.</p></td>
</tr>
</tbody>
</table>
<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.BoxAnchorRuleCheck">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">BoxAnchorRuleCheck</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inBox</span></em>, <em class="sig-param"><span class="n">inAnchorBox</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inAnchorRuleStr</span><span class="o">=</span><span class="default_value">None</span></em><span class="sig-paren">)</span> &#x2192; bool<a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#BoxAnchorRuleCheck"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.BoxAnchorRuleCheck" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Выполнить проверку соответствия всем условиям вхождения inBox в inAnchorBox с учетом правил inAnchorRule</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с экраном</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">lBox1</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxCreate</span><span class="p">(</span><span class="n">inTopInt</span><span class="o">=</span><span class="mi">265</span><span class="p">,</span> <span class="n">inLeftInt</span><span class="o">=</span><span class="mi">62</span><span class="p">,</span> <span class="n">inHeightInt</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">inWidthInt</span><span class="o">=</span><span class="mi">90</span><span class="p">)</span>
<span class="n">lBox2</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxCreate</span><span class="p">(</span><span class="n">inTopInt</span><span class="o">=</span><span class="mi">160</span><span class="p">,</span> <span class="n">inLeftInt</span><span class="o">=</span><span class="mi">160</span><span class="p">,</span> <span class="n">inHeightInt</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">inWidthInt</span><span class="o">=</span><span class="mi">100</span><span class="p">)</span>
<span class="n">lBox3</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxCreate</span><span class="p">(</span><span class="n">inTopInt</span><span class="o">=</span><span class="mi">460</span><span class="p">,</span> <span class="n">inLeftInt</span><span class="o">=</span><span class="mi">60</span><span class="p">,</span> <span class="n">inHeightInt</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">inWidthInt</span><span class="o">=</span><span class="mi">100</span><span class="p">)</span>

<span class="n">l</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxAnchorRuleCheck</span><span class="p">(</span><span class="n">inBox</span><span class="o">=</span><span class="n">lBox1</span><span class="p">,</span> <span class="n">inAnchorBox</span><span class="o">=</span><span class="p">[</span><span class="n">lBox2</span><span class="p">,</span><span class="n">lBox3</span><span class="p">],</span> <span class="n">inAnchorRuleStr</span><span class="o">=</span><span class="p">[</span><span class="s2">&quot;LD&quot;</span><span class="p">,</span><span class="s2">&quot;CUS&quot;</span><span class="p">])</span>
<span class="n">Screen</span><span class="o">.</span><span class="n">BoxDraw</span><span class="p">([</span><span class="n">lBox1</span><span class="p">,</span><span class="n">lBox2</span><span class="p">,</span><span class="n">lBox3</span><span class="p">])</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inBox</strong> (<em>pyscreeze.Box</em>) – Экземпляр класса прямоугольной области Box</p></li>
<li><p><strong>inAnchorBox</strong> (<em>pyscreeze.Box или list из pyscreeze.Box</em>) – Экземпляр класса прямоугольной области Box</p></li>
<li><p><strong>inAnchorRuleStr</strong> (<em>str или list из str</em>) – Символьное указание области проверки соответствия. Может принимать единственное значение (единый формат для всех inAnchorBox), или список форматов для каждого inAnchorBox (если inAnchorBox является списком Box)</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>True - соответствует всем правилам</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>bool</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.BoxCreate">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">BoxCreate</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inTopInt</span><span class="p">:</span> <span class="n">int</span></em>, <em class="sig-param"><span class="n">inLeftInt</span><span class="p">:</span> <span class="n">int</span></em>, <em class="sig-param"><span class="n">inHeightInt</span><span class="p">:</span> <span class="n">int</span></em>, <em class="sig-param"><span class="n">inWidthInt</span><span class="p">:</span> <span class="n">int</span></em><span class="sig-paren">)</span> &#x2192; pyscreeze.Box<a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#BoxCreate"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.BoxCreate" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Создать экземпляр прямоугольной области.</p>
<p>!ВНИМАНИЕ! Координаты inTopInt, inLeftInt определяют верхний левый край прямоугольной области.</p>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inTopInt</strong> (<em>int</em>) – Координата левой верхней точки в пикселях по оси X (горизонталь)</p></li>
<li><p><strong>inLeftInt</strong> (<em>int</em>) – Координата левой верхней точки в пикселях по оси Y (вертикаль)</p></li>
<li><p><strong>inHeightInt</strong> (<em>int</em>) – Расстояние вниз от левой верхней точки в пикселях</p></li>
<li><p><strong>inWidthInt</strong> (<em>int</em>) – Расстояние вправо от левой верхней точки в пикселях</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.BoxDraw">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">BoxDraw</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inBox</span></em>, <em class="sig-param"><span class="n">inColorStr</span><span class="o">=</span><span class="default_value">'green'</span></em>, <em class="sig-param"><span class="n">inThicknessInt</span><span class="o">=</span><span class="default_value">2</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#BoxDraw"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.BoxDraw" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Выполнить подсветку прямоугольной области inBox на экране</p>
<p>!ВНИМАНИЕ! ЦВЕТ inColorStr ПОДДЕРЖИВАЕТСЯ ТОЛЬКО НА ОС WINDOWS</p>
<p>!ВНИМАНИЕ! ПОДДЕРЖИВАЕТ ПАКЕТНУЮ ОБРАТКУ ПРИ ПЕРЕДАЧЕ СПИСКА ЭКЗЕМПЛЯРОВ BOX</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с экраном</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="c1"># ВАРИАНТ ОТРИСОВКИ 1ГО ЭЛЕМЕНТА</span>
<span class="c1"># Создать пробную прямоугольную область</span>
<span class="n">lBox</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxCreate</span><span class="p">(</span><span class="n">inTopInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inLeftInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inHeightInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inWidthInt</span><span class="o">=</span><span class="mi">10</span><span class="p">)</span>
<span class="n">Screen</span><span class="o">.</span><span class="n">BoxDraw</span><span class="p">(</span><span class="n">lBox</span><span class="p">)</span>

<span class="c1"># ВАРИАНТ ПАКЕТНОЙ ОТРИСОВКИ</span>
<span class="c1"># Создать пробную прямоугольную область</span>
<span class="n">lBox</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxCreate</span><span class="p">(</span><span class="n">inTopInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inLeftInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inHeightInt</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">inWidthInt</span><span class="o">=</span><span class="mi">100</span><span class="p">)</span>
<span class="n">lBox2</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxCreate</span><span class="p">(</span><span class="n">inTopInt</span><span class="o">=</span><span class="mi">60</span><span class="p">,</span> <span class="n">inLeftInt</span><span class="o">=</span><span class="mi">60</span><span class="p">,</span> <span class="n">inHeightInt</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">inWidthInt</span><span class="o">=</span><span class="mi">100</span><span class="p">)</span>
<span class="n">Screen</span><span class="o">.</span><span class="n">BoxDraw</span><span class="p">([</span><span class="n">lBox</span><span class="p">,</span> <span class="n">lBox2</span><span class="p">])</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inBox</strong> (<em>pyscreeze.Box</em>) – Экземпляр класса прямоугольной области Box</p></li>
<li><p><strong>inColorStr</strong> (<em>str</em><em>, </em><em>необязательный</em>) – цвет подсветки прямоугольной области. Варианты: „red“, „green“, „blue“. По умолчанию „green“</p></li>
<li><p><strong>inThicknessInt</strong> (<em>int</em><em>, </em><em>необязательный</em>) – толщина подсветки прямоугольной области. По умолчанию 2</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.BoxGetPoint">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">BoxGetPoint</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inBox</span></em>, <em class="sig-param"><span class="n">inPointRuleStr</span><span class="o">=</span><span class="default_value">'CC'</span></em><span class="sig-paren">)</span> &#x2192; pyscreeze.Point<a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#BoxGetPoint"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.BoxGetPoint" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+:Получить точку pyscreeze.Point по заданной прямоугольной области pyscreeze.Box и строковому параметру расположения inPointRuleStr.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с мышью объектами экрана</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">lBox1</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxCreate</span><span class="p">(</span><span class="n">inTopInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inLeftInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inHeightInt</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">inWidthInt</span><span class="o">=</span><span class="mi">1000</span><span class="p">)</span>
<span class="n">lPoint</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxGetPoint</span><span class="p">(</span><span class="n">inBox</span><span class="o">=</span><span class="n">lBox1</span><span class="p">,</span> <span class="n">inPointRuleStr</span><span class="o">=</span><span class="s2">&quot;LC&quot;</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inBox</strong> (<em>pyscreeze.Box</em><em>, </em><em>обязательный</em>) – Прямоугольная область на экране</p></li>
<li><p><strong>inPointRuleStr</strong> (<em>str</em><em>, </em><em>опциональный</em>) – Правило идентификации точки на прямоугольной области (правила формирования см. выше). Варианты: «LU»,»CU»,»RU»,»LC»,»CC»,»RC»,»LD»,»CD»,»RD».  По умолчанию «CC»</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Точка на экране</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>pyscreeze.Point</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.BoxModify">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">BoxModify</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inBox</span></em>, <em class="sig-param"><span class="n">inDWidthInt</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inDHeightInt</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inPointRuleStr</span><span class="o">=</span><span class="default_value">'CC'</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#BoxModify"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.BoxModify" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Изменить ширину / высоту прямоугольной области.</p>
<p>!ВНИМАНИЕ! ПОДДЕРЖИВАЕТ ПАКЕТНУЮ ОБРАТКУ ПРИ ПЕРЕДАЧЕ СПИСКА ЭКЗЕМПЛЯРОВ BOX</p>
<p>!ВНИМАНИЕ! ЕСЛИ СМЕЩЕНИЕ ПРИВЕДЕТ К ОБРАЗОВАНИЮ ДРОБНОГО ЧИСЛА, БУДЕТ ВЫПОЛНЕНО ОКРУГЛЕНИЕ ПО МАТЕМАТИЧЕСКИМ ПРАВИЛАМ</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с экраном</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="c1"># Вариант изменения 1-го элемента</span>
<span class="c1"># Создать пробную прямоугольную область</span>
<span class="n">lBox</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxCreate</span><span class="p">(</span><span class="n">inTopInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inLeftInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inHeightInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inWidthInt</span><span class="o">=</span><span class="mi">10</span><span class="p">)</span>
<span class="c1"># Скорректировать пробную прямоугольную область</span>
<span class="n">lBox2</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxModify</span><span class="p">(</span><span class="n">lBox</span><span class="p">,</span><span class="mi">10</span><span class="p">,</span><span class="mi">10</span><span class="p">,</span><span class="s2">&quot;CC&quot;</span><span class="p">);</span> <span class="nb">print</span><span class="p">(</span><span class="n">lBox2</span><span class="p">)</span>
<span class="n">lBox2</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxModify</span><span class="p">(</span><span class="n">lBox</span><span class="p">,</span><span class="mi">10</span><span class="p">,</span><span class="mi">10</span><span class="p">,</span><span class="s2">&quot;LU&quot;</span><span class="p">);</span> <span class="nb">print</span><span class="p">(</span><span class="n">lBox2</span><span class="p">)</span>
<span class="n">lBox2</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxModify</span><span class="p">(</span><span class="n">lBox</span><span class="p">,</span><span class="mi">10</span><span class="p">,</span><span class="mi">10</span><span class="p">,</span><span class="s2">&quot;LD&quot;</span><span class="p">);</span> <span class="nb">print</span><span class="p">(</span><span class="n">lBox2</span><span class="p">)</span>
<span class="n">lBox2</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxModify</span><span class="p">(</span><span class="n">lBox</span><span class="p">,</span><span class="mi">10</span><span class="p">,</span><span class="mi">10</span><span class="p">,</span><span class="s2">&quot;RU&quot;</span><span class="p">);</span> <span class="nb">print</span><span class="p">(</span><span class="n">lBox2</span><span class="p">)</span>
<span class="n">lBox2</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxModify</span><span class="p">(</span><span class="n">lBox</span><span class="p">,</span><span class="mi">10</span><span class="p">,</span><span class="mi">10</span><span class="p">,</span><span class="s2">&quot;RD&quot;</span><span class="p">);</span> <span class="nb">print</span><span class="p">(</span><span class="n">lBox2</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inBox</strong> (<em>pyscreeze.Box</em>) – Экземпляр класса прямоугольной области Box</p></li>
<li><p><strong>inDXInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Смещение левой верхней координаты по оси X в пикселях (горизонтальная ось).</p></li>
<li><p><strong>inDYInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Смещение левой верхней координаты по оси Y в пикселях (вертикальная ось).</p></li>
<li><p><strong>inPointRuleStr</strong> (<em>str</em><em>, </em><em>опциональный</em>) – Символьное указание точки (подробнее см. выше), относительно которой выполнить изменение прямоугольной области. Допустимые значения: «CC» (по умолчанию), «LU», «LD», «RD», «RU»</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Экземпляр класса прямоугольной области Box</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>pyscreeze.Box</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.BoxMoveTo">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">BoxMoveTo</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inBox</span></em>, <em class="sig-param"><span class="n">inDXInt</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inDYInt</span><span class="o">=</span><span class="default_value">None</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#BoxMoveTo"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.BoxMoveTo" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Переместить прямоугольную область (сохранить длину/ширину).</p>
<p>!ВНИМАНИЕ! ПОДДЕРЖИВАЕТ ПАКЕТНУЮ ОБРАТКУ ПРИ ПЕРЕДАЧЕ СПИСКА ЭКЗЕМПЛЯРОВ BOX</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с экраном</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="c1"># Вариант изменения 1-го элемента</span>
<span class="c1"># Создать пробную прямоугольную область</span>
<span class="n">lBox</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxCreate</span><span class="p">(</span><span class="n">inTopInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inLeftInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inHeightInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inWidthInt</span><span class="o">=</span><span class="mi">10</span><span class="p">)</span>
<span class="c1"># Переместить пробную прямоугольную область</span>
<span class="n">lBox</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxMoveTo</span><span class="p">(</span><span class="n">lBox</span><span class="p">,</span> <span class="n">inDXInt</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">inDYInt</span><span class="o">=</span><span class="mi">200</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inBox</strong> (<em>pyscreeze.Box</em>) – Экземпляр класса прямоугольной области Box</p></li>
<li><p><strong>inDXInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Смещение левой верхней координаты по оси X в пикселях (горизонтальная ось).</p></li>
<li><p><strong>inDYInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Смещение левой верхней координаты по оси Y в пикселях (вертикальная ось).</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Экземпляр класса прямоугольной области Box</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>pyscreeze.Box</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.BoxOverlay">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">BoxOverlay</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inBox1</span></em>, <em class="sig-param"><span class="n">inBox2</span></em><span class="sig-paren">)</span> &#x2192; bool<a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#BoxOverlay"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.BoxOverlay" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+:Проверить наложение 2-х прямоугольных областей друг на друга.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с экраном</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">lBox1</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxCreate</span><span class="p">(</span><span class="n">inTopInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inLeftInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inHeightInt</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">inWidthInt</span><span class="o">=</span><span class="mi">1000</span><span class="p">)</span>
<span class="n">lBox2</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">BoxCreate</span><span class="p">(</span><span class="n">inTopInt</span><span class="o">=</span><span class="mi">160</span><span class="p">,</span> <span class="n">inLeftInt</span><span class="o">=</span><span class="mi">160</span><span class="p">,</span> <span class="n">inHeightInt</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">inWidthInt</span><span class="o">=</span><span class="mi">100</span><span class="p">)</span>
<span class="n">Screen</span><span class="o">.</span><span class="n">BoxDraw</span><span class="p">([</span><span class="n">lBox1</span><span class="p">,</span> <span class="n">lBox2</span><span class="p">])</span>
<span class="n">Screen</span><span class="o">.</span><span class="n">BoxOverlay</span><span class="p">(</span><span class="n">lBox1</span><span class="p">,</span><span class="n">lBox2</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inBox1</strong> (<em>pyscreeze.Box</em>) – Экземпляр класса прямоугольной области Box</p></li>
<li><p><strong>inBox2</strong> (<em>pyscreeze.Box</em>) – Экземпляр класса прямоугольной области Box</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>True - inBox1 наложен на inBox2</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>bool</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.ImageClick">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">ImageClick</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inImgPathStr</span><span class="p">:</span> <span class="n">str</span></em>, <em class="sig-param"><span class="n">inBoxIndexInt</span><span class="p">:</span> <span class="n">int</span> <span class="o">=</span> <span class="default_value">0</span></em>, <em class="sig-param"><span class="n">inPointRuleStr</span><span class="p">:</span> <span class="n">str</span> <span class="o">=</span> <span class="default_value">'CC'</span></em>, <em class="sig-param"><span class="n">inIsGrayModeBool</span><span class="p">:</span> <span class="n">bool</span> <span class="o">=</span> <span class="default_value">False</span></em>, <em class="sig-param"><span class="n">inConfidenceFloat</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>float<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inWaitSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0</span></em>, <em class="sig-param"><span class="n">inWaitIntervalSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#ImageClick"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.ImageClick" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+:Выполнить поиск прямоугольной области по изображению.</p>
<p>!ВНИМАНИЕ! Для использования параметра точности inConfidenceFloat необходим пакет Python opencv-python (python -m pip install opencv-python)</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с объектами экрана</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">Screen</span><span class="o">.</span><span class="n">ImageClick</span><span class="p">(</span><span class="n">inImgPathStr</span><span class="o">=</span><span class="s2">&quot;Button.png&quot;</span><span class="p">,</span><span class="n">inConfidenceFloat</span><span class="o">=</span><span class="mf">0.9</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inImgPathStr</strong> (<em>str</em><em>, </em><em>относительный или абсолютный</em>) – Путь к изображению, которое требуется искать на экране</p></li>
<li><p><strong>inBoxIndexInt</strong> (<em>int</em><em>, </em><em>опционально</em>) – Индекс прямоугольной области, по которой выполнить клик (если обнаружено несколько областей Box), По умолчанию 0</p></li>
<li><p><strong>inPointRuleStr</strong> (<em>str</em><em>, </em><em>опциональный</em>) – Правило идентификации точки на прямоугольной области (правила формирования см. выше). Варианты: «LU»,»CU»,»RU»,»LC»,»CC»,»RC»,»LD»,»CD»,»RD».  По умолчанию «CC»</p></li>
<li><p><strong>inIsGrayModeBool</strong> (<em>bool</em><em>, </em><em>опционально</em>) – True - выполнить поиск изображения в режиме серых оттенков (ускоряет производительность, если допускается искажение цвета). По умолчанию False</p></li>
<li><p><strong>inConfidenceFloat</strong> (<em>float</em><em>, </em><em>опционально</em>) – Показатель точности. 1.0 - идентичное соответствие, 0.0 - полное несоответствие. По умолчанию 1.0 (None)</p></li>
<li><p><strong>inWaitSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Время ожидания появления изображения в сек. По умолчанию 0</p></li>
<li><p><strong>inWaitIntervalSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Интервал повторной проверки наличия изображения. По умолчанию 0</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.ImageExists">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">ImageExists</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inImgPathStr</span><span class="p">:</span> <span class="n">str</span></em>, <em class="sig-param"><span class="n">inIsGrayModeBool</span><span class="p">:</span> <span class="n">bool</span> <span class="o">=</span> <span class="default_value">False</span></em>, <em class="sig-param"><span class="n">inConfidenceFloat</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>float<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em><span class="sig-paren">)</span> &#x2192; list<a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#ImageExists"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.ImageExists" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+:Проверить, имеется ли на экране хотя бы один подходящий объект. Вернуть булево значение</p>
<p>!ВНИМАНИЕ! Для использования параметра точности inConfidenceFloat необходим пакет Python opencv-python (python -m pip install opencv-python)</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с объектами экрана</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">lResult</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">ImageExists</span><span class="p">(</span><span class="n">inImgPathStr</span><span class="o">=</span><span class="s2">&quot;Button.png&quot;</span><span class="p">,</span><span class="n">inConfidenceFloat</span><span class="o">=</span><span class="mf">0.9</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inImgPathStr</strong> (<em>str</em><em>, </em><em>относительный или абсолютный</em>) – Путь к изображению, которое требуется искать на экране</p></li>
<li><p><strong>inIsGrayModeBool</strong> (<em>bool</em><em>, </em><em>опционально</em>) – True - выполнить поиск изображения в режиме серых оттенков (ускоряет производительность, если допускается искажение цвета). По умолчанию False</p></li>
<li><p><strong>inConfidenceFloat</strong> (<em>float</em><em>, </em><em>опционально</em>) – Показатель точности. 1.0 - идентичное соответствие, 0.0 - полное несоответствие. По умолчанию 1.0 (None)</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Список из pyscreeze.Box</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>list</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.ImageLocateAll">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">ImageLocateAll</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inImgPathStr</span><span class="p">:</span> <span class="n">str</span></em>, <em class="sig-param"><span class="n">inIsGrayModeBool</span><span class="p">:</span> <span class="n">bool</span> <span class="o">=</span> <span class="default_value">False</span></em>, <em class="sig-param"><span class="n">inConfidenceFloat</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>float<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em><span class="sig-paren">)</span> &#x2192; list<a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#ImageLocateAll"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.ImageLocateAll" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+W+: Искать на экране графические объекты, которые похожи на inImgPathStr. Вернуть список прямоугольных областей на экране (pyscreeze.Box)</p>
<p>!ВНИМАНИЕ! Для использования параметра точности inConfidenceFloat необходим пакет Python opencv-python (python -m pip install opencv-python)</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с объектами экрана</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">Screen</span><span class="o">.</span><span class="n">ImageLocateAll</span><span class="p">(</span><span class="n">inImgPathStr</span><span class="o">=</span><span class="s2">&quot;Button.png&quot;</span><span class="p">,</span><span class="n">inConfidenceFloat</span><span class="o">=</span><span class="mf">0.9</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inImgPathStr</strong> (<em>str</em><em>, </em><em>относительный или абсолютный</em>) – Путь к изображению, которое требуется искать на экране</p></li>
<li><p><strong>inIsGrayModeBool</strong> (<em>bool</em><em>, </em><em>опционально</em>) – True - выполнить поиск изображения в режиме серых оттенков (ускоряет производительность, если допускается искажение цвета). По умолчанию False</p></li>
<li><p><strong>inConfidenceFloat</strong> (<em>float</em><em>, </em><em>опционально</em>) – Показатель точности. 1.0 - идентичное соответствие, 0.0 - полное несоответствие. По умолчанию 1.0 (None)</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Список из pyscreeze.Box</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>list</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.ImageWaitAppear">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">ImageWaitAppear</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inImgPathStr</span><span class="p">:</span> <span class="n">str</span></em>, <em class="sig-param"><span class="n">inWaitSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">60</span></em>, <em class="sig-param"><span class="n">inWaitIntervalSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">1.0</span></em>, <em class="sig-param"><span class="n">inIsGrayModeBool</span><span class="p">:</span> <span class="n">bool</span> <span class="o">=</span> <span class="default_value">False</span></em>, <em class="sig-param"><span class="n">inConfidenceFloat</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>float<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em><span class="sig-paren">)</span> &#x2192; list<a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#ImageWaitAppear"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.ImageWaitAppear" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+:Ожидать появление изображения на протяжении inWaitSecFloat секунд. Проверять с периодичностью inWaitIntervalSecFloat. Вернуть список прямоугольных областей, которые удовлетворяют условию</p>
<p>!ВНИМАНИЕ! Для использования параметра точности inConfidenceFloat необходим пакет Python opencv-python (python -m pip install opencv-python)</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с объектами экрана</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">lBoxList</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">ImageWaitAppear</span><span class="p">(</span><span class="n">inImgPathStr</span><span class="o">=</span><span class="s2">&quot;Button.png&quot;</span><span class="p">,</span><span class="n">inConfidenceFloat</span><span class="o">=</span><span class="mf">0.9</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inImgPathStr</strong> (<em>str</em><em>, </em><em>относительный или абсолютный</em>) – Путь к изображению, которое требуется искать на экране</p></li>
<li><p><strong>inWaitSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Время ожидания появления изображения в сек. По умолчанию IMAGE_WAIT_SEC_FLOAT (60)</p></li>
<li><p><strong>inWaitIntervalSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Интервал повторной проверки наличия изображения. По умолчанию IMAGE_WAIT_INTERVAL_SEC_FLOAT (1)</p></li>
<li><p><strong>inIsGrayModeBool</strong> (<em>bool</em><em>, </em><em>опционально</em>) – True - выполнить поиск изображения в режиме серых оттенков (ускоряет производительность, если допускается искажение цвета). По умолчанию False</p></li>
<li><p><strong>inConfidenceFloat</strong> (<em>float</em><em>, </em><em>опционально</em>) – Показатель точности. 1.0 - идентичное соответствие, 0.0 - полное несоответствие. По умолчанию 1.0 (None)</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Список из pyscreeze.Box или [] если прошло время ожидания.</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>list</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.ImageWaitDisappear">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">ImageWaitDisappear</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inImgPathStr</span><span class="p">:</span> <span class="n">str</span></em>, <em class="sig-param"><span class="n">inWaitSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">60</span></em>, <em class="sig-param"><span class="n">inWaitIntervalSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">1.0</span></em>, <em class="sig-param"><span class="n">inIsGrayModeBool</span><span class="p">:</span> <span class="n">bool</span> <span class="o">=</span> <span class="default_value">False</span></em>, <em class="sig-param"><span class="n">inConfidenceFloat</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>float<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#ImageWaitDisappear"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.ImageWaitDisappear" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+:Ожидать исчезновение изображения на протяжении inWaitSecFloat секунд. Проверять с периодичностью inWaitIntervalSecFloat.</p>
<p>!ВНИМАНИЕ! Для использования параметра точности inConfidenceFloat необходим пакет Python opencv-python (python -m pip install opencv-python)</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с объектами экрана</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">Screen</span><span class="o">.</span><span class="n">ImageWaitDisappear</span><span class="p">(</span><span class="n">inImgPathStr</span><span class="o">=</span><span class="s2">&quot;Button.png&quot;</span><span class="p">,</span><span class="n">inConfidenceFloat</span><span class="o">=</span><span class="mf">0.9</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inImgPathStr</strong> (<em>str</em><em>, </em><em>относительный или абсолютный</em>) – Путь к изображению, которое требуется искать на экране</p></li>
<li><p><strong>inWaitSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Время ожидания появления изображения в сек. По умолчанию IMAGE_WAIT_SEC_FLOAT (60)</p></li>
<li><p><strong>inWaitIntervalSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Интервал повторной проверки наличия изображения. По умолчанию IMAGE_WAIT_INTERVAL_SEC_FLOAT (1)</p></li>
<li><p><strong>inIsGrayModeBool</strong> (<em>bool</em><em>, </em><em>опционально</em>) – True - выполнить поиск изображения в режиме серых оттенков (ускоряет производительность, если допускается искажение цвета). По умолчанию False</p></li>
<li><p><strong>inConfidenceFloat</strong> (<em>float</em><em>, </em><em>опционально</em>) – Показатель точности. 1.0 - идентичное соответствие, 0.0 - полное несоответствие. По умолчанию 1.0 (None)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.PointClick">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">PointClick</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inPoint</span><span class="p">:</span> <span class="n">pyscreeze.Point</span></em>, <em class="sig-param"><span class="n">inClickCountInt</span><span class="p">:</span> <span class="n">int</span> <span class="o">=</span> <span class="default_value">1</span></em>, <em class="sig-param"><span class="n">inIntervalSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0.0</span></em>, <em class="sig-param"><span class="n">inButtonStr</span><span class="p">:</span> <span class="n">str</span> <span class="o">=</span> <span class="default_value">'left'</span></em>, <em class="sig-param"><span class="n">inMoveDurationSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">0.0</span></em>, <em class="sig-param"><span class="n">inWaitAfterSecFloat</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>float<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#PointClick"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.PointClick" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+:Нажатие (вниз) кнопки мыши и затем немедленно выпуск (вверх) её. Допускается следующая параметризация.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с мышью объектами экрана</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">lPoint</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">PointCreate</span><span class="p">(</span><span class="mi">100</span><span class="p">,</span><span class="mi">150</span><span class="p">)</span>
<span class="n">Screen</span><span class="o">.</span><span class="n">PointClick</span><span class="p">(</span><span class="n">lPoint</span><span class="p">)</span> <span class="c1">#Выполнить нажатие левой клавиши мыши</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inPoint</strong> (<em>pyscreeze.Point</em><em>, </em><em>обязательный</em>) – Точка на экране, по которой выполнить нажатие мыши</p></li>
<li><p><strong>inClickCountInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Количество нажатий (вниз и вверх) кнопкой мыши, По умолчанию 1</p></li>
<li><p><strong>inIntervalSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Интервал ожидания в секундах между нажатиями, По умолчанию 0.0</p></li>
<li><p><strong>inButtonStr</strong> (<em>str</em><em>, </em><em>опциональный</em>) – Номер кнопки, которую требуется нажать. Возможные варианты: „left“, „middle“, „right“ или 1, 2, 3. В остальных случаях инициирует исключение ValueError. По умолчанию „left“</p></li>
<li><p><strong>inMoveDurationSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Время перемещения указателя мыши, По умолчанию 0.0 (моментальное перемещение)</p></li>
<li><p><strong>inWaitAfterSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.PointClickDouble">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">PointClickDouble</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inPoint</span><span class="p">:</span> <span class="n">pyscreeze.Point</span></em>, <em class="sig-param"><span class="n">inWaitAfterSecFloat</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>float<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#PointClickDouble"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.PointClickDouble" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+:Двойное нажатие левой клавиши мыши. Данное действие аналогично вызову функции (см. ниже).</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с мышью объектами экрана</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">lPoint</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">PointCreate</span><span class="p">(</span><span class="mi">100</span><span class="p">,</span><span class="mi">150</span><span class="p">)</span>
<span class="n">Screen</span><span class="o">.</span><span class="n">PointClickDouble</span><span class="p">(</span><span class="n">lPoint</span><span class="p">)</span> <span class="c1">#Выполнить двойное нажатие левой клавиши мыши</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inPoint</strong> (<em>pyscreeze.Point</em><em>, </em><em>обязательный</em>) – Точка на экране, по которой выполнить нажатие мыши</p></li>
<li><p><strong>inWaitAfterSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.PointCreate">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">PointCreate</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inXInt</span></em>, <em class="sig-param"><span class="n">inYInt</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#PointCreate"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.PointCreate" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+:Создать точку pyscreeze.Point.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с мышью объектами экрана</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">lPoint</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">PointCreate</span><span class="p">(</span><span class="n">inXInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inYInt</span><span class="o">=</span><span class="mi">10</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inXInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Смещение указателя мыши по оси X (горизонтальная ось).</p></li>
<li><p><strong>inYInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Смещение указателя мыши по оси Y (вертикальная ось).</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Точка на экране</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>pyscreeze.Point</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.PointDown">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">PointDown</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inPoint</span><span class="p">:</span> <span class="n">pyscreeze.Point</span></em>, <em class="sig-param"><span class="n">inButtonStr</span><span class="p">:</span> <span class="n">str</span> <span class="o">=</span> <span class="default_value">'left'</span></em>, <em class="sig-param"><span class="n">inWaitAfterSecFloat</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>float<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#PointDown"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.PointDown" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+:Переместить указатель по координатам inPoint, после чего нажать (вниз) клавишу мыши и не отпускать до выполнения соответсвующей команды (см. Up).</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с мышью объектами экрана</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">lPoint</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">PointCreate</span><span class="p">(</span><span class="mi">100</span><span class="p">,</span><span class="mi">150</span><span class="p">)</span>
<span class="n">Screen</span><span class="o">.</span><span class="n">PointDown</span><span class="p">(</span><span class="n">lPoint</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inPoint</strong> (<em>pyscreeze.Point</em><em>, </em><em>обязательный</em>) – Точка на экране, по которой выполнить нажатие мыши</p></li>
<li><p><strong>inButtonStr</strong> (<em>str</em><em>, </em><em>опциональный</em>) – Номер кнопки, которую требуется нажать. Возможные варианты: „left“, „middle“, „right“ или 1, 2, 3. В остальных случаях инициирует исключение ValueError. По умолчанию „left“</p></li>
<li><p><strong>inWaitAfterSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.PointModify">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">PointModify</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inPoint</span></em>, <em class="sig-param"><span class="n">inDXInt</span></em>, <em class="sig-param"><span class="n">inDYInt</span></em><span class="sig-paren">)</span> &#x2192; pyscreeze.Point<a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#PointModify"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.PointModify" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+:Скорректировать точку pyscreeze.Point.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с мышью объектами экрана</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">lPoint</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">PointCreate</span><span class="p">(</span><span class="n">inXInt</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">inYInt</span><span class="o">=</span><span class="mi">10</span><span class="p">)</span>
<span class="n">lPoint</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">PointModify</span><span class="p">(</span><span class="n">inPoint</span><span class="o">=</span><span class="n">lPoint</span><span class="p">,</span> <span class="n">inDXInt</span><span class="o">=</span><span class="mi">90</span><span class="p">,</span> <span class="n">inDYInt</span><span class="o">=</span><span class="mi">10</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inPoint</strong> (<em>pyscreeze.Point</em><em>, </em><em>обязательный</em>) – Точка на экране, по которой выполнить нажатие мыши</p></li>
<li><p><strong>inDXInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Смещение указателя мыши по оси X (горизонтальная ось).</p></li>
<li><p><strong>inDYInt</strong> (<em>int</em><em>, </em><em>опциональный</em>) – Смещение указателя мыши по оси Y (вертикальная ось).</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Точка на экране</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>pyscreeze.Point</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.PointMoveTo">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">PointMoveTo</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inPoint</span><span class="p">:</span> <span class="n">pyscreeze.Point</span></em>, <em class="sig-param"><span class="n">inWaitAfterSecFloat</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>float<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#PointMoveTo"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.PointMoveTo" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+:Переместить указатель мыши на позицию inXInt, inYInt за время inMoveDurationSecFloat.</p>
<p>!ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области (экрана).</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с мышью объектами экрана</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">lPoint</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">PointCreate</span><span class="p">(</span><span class="mi">100</span><span class="p">,</span><span class="mi">150</span><span class="p">)</span>
<span class="n">Screen</span><span class="o">.</span><span class="n">PointMoveTo</span><span class="p">(</span><span class="n">inXInt</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">inYInt</span><span class="o">=</span><span class="mi">200</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inPoint</strong> (<em>pyscreeze.Point</em><em>, </em><em>обязательный</em>) – Точка на экране, по которой выполнить нажатие мыши</p></li>
<li><p><strong>inWaitAfterSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.Screen.PointUp">
<code class="sig-prename descclassname">pyOpenRPA.Robot.Screen.</code><code class="sig-name descname">PointUp</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inPoint</span><span class="p">:</span> <span class="n">pyscreeze.Point</span></em>, <em class="sig-param"><span class="n">inButtonStr</span><span class="p">:</span> <span class="n">str</span> <span class="o">=</span> <span class="default_value">'left'</span></em>, <em class="sig-param"><span class="n">inWaitAfterSecFloat</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>float<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/Screen.html#PointUp"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.Screen.PointUp" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+:Отпустить (вверх) клавишу мыши.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># Screen: Взаимодействие с мышью объектами экрана</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Screen</span>
<span class="n">lPoint</span> <span class="o">=</span> <span class="n">Screen</span><span class="o">.</span><span class="n">PointCreate</span><span class="p">(</span><span class="mi">100</span><span class="p">,</span><span class="mi">150</span><span class="p">)</span>
<span class="n">Screen</span><span class="o">.</span><span class="n">PointUp</span><span class="p">(</span><span class="n">lPoint</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inPoint</strong> (<em>pyscreeze.Point</em><em>, </em><em>обязательный</em>) – Точка на экране, по которой выполнить нажатие мыши</p></li>
<li><p><strong>inButtonStr</strong> (<em>str</em><em>, </em><em>опциональный</em>) – Номер кнопки, которую требуется поднять. Возможные варианты: „left“, „middle“, „right“ или 1, 2, 3. В остальных случаях инициирует исключение ValueError. По умолчанию „left“</p></li>
<li><p><strong>inWaitAfterSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
<div class="section" id="id7">
<h2>Быстрая навигация<a class="headerlink" href="#id7" title="Ссылка на этот заголовок">¶</a></h2>
<ul class="simple">
<li><p><a class="reference external" href="https://t.me/pyOpenRPA">Сообщество pyOpenRPA (telegram)</a></p></li>
<li><p><a class="reference external" href="https://tenchat.ru/iMaslov?utm_source=19f2a84f-3268-437f-950c-d987ae42af24">Сообщество pyOpenRPA (tenchat)</a></p></li>
<li><p><a class="reference external" href="https://vk.com/pyopenrpa">Сообщество pyOpenRPA (вконтакте)</a></p></li>
<li><p><a class="reference external" href="https://pyopenrpa.ru/Index/pyOpenRPA_product_service.pdf">Презентация pyOpenRPA</a></p></li>
<li><p><a class="reference external" href="https://pyopenrpa.ru">Портал pyOpenRPA</a></p></li>
<li><p><a class="reference external" href="https://gitlab.com/UnicodeLabs/OpenRPA">Репозиторий pyOpenRPA</a></p></li>
</ul>
<p>		.. v1.3.1 replace:: v1.3.1</p>
<p></p>
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="08_audio.html" class="btn btn-neutral float-right" title="8. Функции Audio" accesskey="n" rel="next">Следующая <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="06_mouse.html" class="btn btn-neutral float-left" title="6. Функции Mouse" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Предыдущая</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2022, ООО &#34;ОПЕН РПА&#34;.

    </p>
  </div>
    
    
    
    Собрано при помощи <a href="https://www.sphinx-doc.org/">Sphinx</a> с использованием
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">темы,</a>
    
    предоставленной <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>